Bug 106401 - The estimation of time while upgrading is wildly inaccurate
The estimation of time while upgrading is wildly inaccurate
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-10-06 15:11 EDT by Horst H. von Brand
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-18 13:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2003-10-06 15:11:35 EDT
Description of problem:
It wandered all over the map, from 5+ hours (!) down to 46 minutes (!!) before
finally (by 1/3 of the work done) settling for 2 hours.

This is not exactly new, all RH installations I remember had the same problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
Wild guesses at the total time, settles rather late during upgrade/install

Expected results:
Reasonably close estimates, preferably going down slightly and not fluctuating.

Additional info:
Comment 1 Michael Fulbright 2003-10-10 12:15:09 EDT
Test3 should have a more reasonable estimate.  Having looked at this quite a bit
estimating the total install time at the early part of the install is very
difficult because its not a simple matter of just bytes/sec.  Post-install
scripts and running ldconfig over and over tend to take longer as the install
Comment 2 Horst H. von Brand 2005-01-20 15:37:56 EST
The estimate in FC3 is much more in line with reality.


Note You need to log in before you can comment on or make changes to this bug.